Start Project work
curl --request POST \
--url https://api.checkfu.com/v1/projects/{id}/work \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"agent": "<string>",
"content": "<string>",
"title": "<string>",
"resources": [
{
"authorization_token": "<string>",
"type": "github_repository",
"url": "<string>",
"checkout": {
"type": "branch",
"name": "<string>"
},
"mount_path": "<string>"
}
],
"acted_as": "<string>"
}
'import requests
url = "https://api.checkfu.com/v1/projects/{id}/work"
payload = {
"agent": "<string>",
"content": "<string>",
"title": "<string>",
"resources": [
{
"authorization_token": "<string>",
"type": "github_repository",
"url": "<string>",
"checkout": {
"type": "branch",
"name": "<string>"
},
"mount_path": "<string>"
}
],
"acted_as": "<string>"
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
agent: '<string>',
content: '<string>',
title: '<string>',
resources: [
{
authorization_token: '<string>',
type: 'github_repository',
url: '<string>',
checkout: {type: 'branch', name: '<string>'},
mount_path: '<string>'
}
],
acted_as: '<string>'
})
};
fetch('https://api.checkfu.com/v1/projects/{id}/work', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"generation": 1,
"cause": {
"kind": "api",
"request_id": "<string>"
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "runtime.harness_incompatible",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-harness-incompatible"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}{
"error": {
"type": "runtime.runner_unavailable",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-runner-unavailable"
}
}Start Project work
Create one work Session from the Project’s work template.
POST
/
v1
/
projects
/
{id}
/
work
Start Project work
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Maximum string length:
255Path Parameters
Pattern:
^proj_[0-9a-f]{32}$Body
application/json